import 'dart:convert';

import 'package:vgkprogaming/model/vgk-card-horizontal-model.dart';
import 'package:vgkprogaming/model/vgk-card-horizontal-sub-model.dart';
import 'package:vgkprogaming/model/vgk-card-horizontal-with-popup-model.dart';
import 'package:vgkprogaming/model/vgk-card-vertical-top-bottom-content-model.dart';

class NiralakamConvertor {
  static List<VgkCardHorizontalDetailModel> vgkCardHorizontalDetailFromMap(
          String str) =>
      List<VgkCardHorizontalDetailModel>.from(
        json.decode(str).map(
              (x) => VgkCardHorizontalDetailModel.fromMap(x),
            ),
      );

  static List<VgkCardHorizontalSubModel> vgkCardHorizontalSubFromMap(
          String str) =>
      List<VgkCardHorizontalSubModel>.from(
        json.decode(str).map(
              (x) => VgkCardHorizontalSubModel.fromMap(x),
            ),
      );

  static List<VgkCardHorizontalWithPopupModel>
      vgkCardHorizontalWithPopupFromMap(String str) =>
          List<VgkCardHorizontalWithPopupModel>.from(
            json.decode(str).map(
                  (x) => VgkCardHorizontalWithPopupModel.fromMap(x),
                ),
          );

  static List<VgkCardVerticalTopBottomContentModel>
      vgkCardVerticalTopBottomContentFromMap(String str) =>
          List<VgkCardVerticalTopBottomContentModel>.from(
            json.decode(str).map(
                  (x) => VgkCardVerticalTopBottomContentModel.fromMap(x),
                ),
          );
}
